﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>8.0.30703</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{DF48A4B6-AAD1-4FE8-BCA6-C2D28CC679D7}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Framework</RootNamespace>
    <AssemblyName>Framework</AssemblyName>
    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Microsoft.ApplicationServer.Caching.Client, Version=1.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\Libraries\AppFabric\Microsoft.ApplicationServer.Caching.Client.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.ApplicationServer.Caching.Core, Version=1.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\Libraries\AppFabric\Microsoft.ApplicationServer.Caching.Core.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.ServiceBus">
      <HintPath>..\Libraries\Microsft.ServiceBus\Microsoft.ServiceBus.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.WindowsFabric.Common">
      <HintPath>..\Libraries\AppFabric\Microsoft.WindowsFabric.Common.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.WindowsFabric.Data.Common">
      <HintPath>..\Libraries\AppFabric\Microsoft.WindowsFabric.Data.Common.dll</HintPath>
    </Reference>
    <Reference Include="Mindscape.LightSpeed">
      <HintPath>..\Libraries\Mindscape.LightSpeed\Mindscape.LightSpeed.dll</HintPath>
    </Reference>
    <Reference Include="Mindscape.LightSpeed.Linq">
      <HintPath>..\Libraries\Mindscape.LightSpeed\Mindscape.LightSpeed.Linq.dll</HintPath>
    </Reference>
    <Reference Include="MySql.Data">
      <HintPath>..\Libraries\MySQL\MySql.Data.dll</HintPath>
    </Reference>
    <Reference Include="Newtonsoft.Json">
      <HintPath>..\Libraries\Newtonsoft.Json\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="nunit.framework">
      <HintPath>..\Libraries\NUnit\nunit.framework.dll</HintPath>
    </Reference>
    <Reference Include="StructureMap">
      <HintPath>..\Libraries\StructureMap\StructureMap.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.configuration" />
    <Reference Include="System.Core" />
    <Reference Include="System.Net.Http, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\Libraries\Microsoft\System.Net.Http.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.Net.Http.Formatting, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\Libraries\Microsoft\System.Net.Http.Formatting.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.Runtime.Serialization" />
    <Reference Include="System.ServiceModel" />
    <Reference Include="System.Web">
      <Private>True</Private>
    </Reference>
    <Reference Include="System.Web.Extensions">
      <Private>True</Private>
    </Reference>
    <Reference Include="System.Web.Http, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <Private>True</Private>
    </Reference>
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Api\Authentication\OAuth.cs" />
    <Compile Include="Api\Authentication\OAuthHeader.cs" />
    <Compile Include="Api\Client\WebApiClient.cs" />
    <Compile Include="Api\Core\ApiResponse.cs" />
    <Compile Include="Authentication\Password.cs" />
    <Compile Include="Authentication\IPasswordSettings.cs" />
    <Compile Include="Caching\Cacher.cs" />
    <Compile Include="Caching\ICacheProvider.cs" />
    <Compile Include="Caching\Providers\CacheToAppFabric.cs" />
    <Compile Include="Caching\Providers\CacheToHttpRuntime.cs" />
    <Compile Include="Core\AlphanumericComparator.cs" />
    <Compile Include="Core\Attributes\EnumLocalisationDefaultAttribute.cs" />
    <Compile Include="Core\Attributes\IEnumAttribute.cs" />
    <Compile Include="Core\Extensions.cs" />
    <Compile Include="Core\HttpHandlerRouteHandler.cs" />
    <Compile Include="Core\ObjectManager.cs" />
    <Compile Include="Core\OrderByBuilder.cs" />
    <Compile Include="Core\ResharperAnalysisHelpers.cs" />
    <Compile Include="DataAccess\Database.cs" />
    <Compile Include="DataAccess\DatabaseParam.cs" />
    <Compile Include="DataAccess\DbExtensions.cs" />
    <Compile Include="DataAccess\Enum.cs" />
    <Compile Include="Email\Emailer.cs" />
    <Compile Include="Email\EmailEventArgs.cs" />
    <Compile Include="Email\IEmailProvider.cs" />
    <Compile Include="Email\Providers\EmailToFile.cs" />
    <Compile Include="Email\Providers\EmailToSmtp.cs" />
    <Compile Include="Encryption\AESEncryption.cs" />
    <Compile Include="Exceptions\CorrelationException.cs" />
    <Compile Include="Exceptions\MessageBusException.cs" />
    <Compile Include="Exceptions\ServiceCallException.cs" />
    <Compile Include="Exceptions\SessionException.cs" />
    <Compile Include="Lightspeed\Constants.cs" />
    <Compile Include="Lightspeed\EncryptedDateConverter.cs" />
    <Compile Include="Lightspeed\EncryptedStringConvertor.cs" />
    <Compile Include="Lightspeed\EncryptionConvetor.cs" />
    <Compile Include="Lightspeed\Extensions.cs" />
    <Compile Include="Lightspeed\PerCallUnitOfWorkScope.cs" />
    <Compile Include="Logging\ILogData.cs" />
    <Compile Include="Logging\ILogProvider.cs" />
    <Compile Include="Logging\LogEventArgs.cs" />
    <Compile Include="Logging\Logger.cs" />
    <Compile Include="Logging\LoggingExtensions.cs" />
    <Compile Include="Logging\LogItem.cs" />
    <Compile Include="Logging\LogSeverity.cs" />
    <Compile Include="Logging\Profile.cs" />
    <Compile Include="Logging\ProfileEventArgs.cs" />
    <Compile Include="Logging\Profiler.cs" />
    <Compile Include="Logging\Providers\Log.cs">
      <DependentUpon>Log.lsmodel</DependentUpon>
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
    </Compile>
    <Compile Include="Logging\Providers\LogToDatabase.cs" />
    <Compile Include="Logging\Providers\LogToEmail.cs" />
    <Compile Include="Logging\WebRequestLog.cs" />
    <Compile Include="Messaging\Entities\Messaging.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Messaging.lsmodel</DependentUpon>
    </Compile>
    <Compile Include="Messaging\Enums.cs" />
    <Compile Include="Messaging\Extensions.cs" />
    <Compile Include="Messaging\IMessage.cs" />
    <Compile Include="Messaging\IMessageBus.cs" />
    <Compile Include="Messaging\IMessageHandler.cs" />
    <Compile Include="Messaging\IMessageStore.cs" />
    <Compile Include="Messaging\Message.cs" />
    <Compile Include="Messaging\MessageBus.cs" />
    <Compile Include="Messaging\MessageBusHandler.cs" />
    <Compile Include="Messaging\MessageSchedulePlan.cs" />
    <Compile Include="Messaging\MessageStore.cs" />
    <Compile Include="PageState\PageStateManager.cs" />
    <Compile Include="PageState\Persisters\MsSqlPageStatePersister.cs" />
    <Compile Include="PageState\Persisters\SessionExPageStatePersister.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Runtime\IRuntime.cs" />
    <Compile Include="ServiceLocation\IServiceLocator.cs" />
    <Compile Include="ServiceLocation\Providers\StructureMapServiceLocator.cs" />
    <Compile Include="ServiceLocation\ServiceLocator.cs" />
    <Compile Include="ServiceLocation\ServiceResolutionException.cs" />
    <Compile Include="Testing\NUnit\TestExtensions.cs" />
    <None Include="Messaging\Entities\Messaging.lsmodel">
      <Generator>LightSpeedModelGenerator</Generator>
      <LastGenOutput>Messaging.cs</LastGenOutput>
    </None>
    <None Include="Messaging\Entities\Messaging.lsmodel.diagram">
      <DependentUpon>Messaging.lsmodel</DependentUpon>
    </None>
    <None Include="ServiceModel\ServiceContext.cs" />
    <None Include="ServiceModel\ServiceContextAttribute.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Logging\Providers\Log.lsmodel">
      <Generator>LightSpeedModelGenerator</Generator>
      <LastGenOutput>Log.cs</LastGenOutput>
    </None>
    <None Include="Logging\Providers\Log.lsmodel.diagram">
      <DependentUpon>Log.lsmodel</DependentUpon>
    </None>
  </ItemGroup>
  <ItemGroup>
    <None Include="ChangeLog.txt" />
  </ItemGroup>
  <ItemGroup />
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>